Package org.eclipse.emf.spi.cdo

# Interface InternalCDOSessionInvalidationEvent

All Superinterfaces:
  `CDOBranchPoint`, `CDOBranchProvider`, `CDOChangeKindProvider`, `CDOChangeSetData`, `CDOCommitData`, `CDOCommitInfo`, `CDOSessionEvent`, `CDOSessionInvalidationEvent`, `CDOSessionPermissionsChangedEvent`, `CDOTimeProvider`, `org.eclipse.net4j.util.event.IEvent`

public interface InternalCDOSessionInvalidationEvent extends CDOSessionInvalidationEvent
A `session invalidation event` with `security impact information`.

Since:
  4.3
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

### Fields inherited from interface org.eclipse.emf.cdo.session.CDOSessionInvalidationEvent

`LOCAL_ROLLBACK`

## Method Summary

Modifier and Type
Method
Description
`byte`
`getSecurityImpact()`

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`getBranch, getTimeStamp`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeKindProvider

`getChangeKind`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetData

`copy, forEachRevision, forEachRevisionDelta, getAffectedIDs, getChangedObjects, getChangeKinds, getDetachedObjects, getNewObjects, isEmpty, merge`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitData

`getNewPackageUnits`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitInfo

`getComment, getCommitInfoManager, getMergedCommitInfo, getMergeSource, getPreviousCommitInfo, getPreviousTimeStamp, getUserID, isCommitDataLoaded, isInitialCommit`

### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionEvent

`getSource`

### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionInvalidationEvent

`getLocalTransaction, getView, isRemote`

### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionPermissionsChangedEvent

`getOldPermissions`

## Method Details

### getSecurityImpact

byte getSecurityImpact()

See Also:
  - `CDOProtocol.CommitNotificationInfo.IMPACT_NONE`
  - `CDOProtocol.CommitNotificationInfo.IMPACT_PERMISSIONS`
  - `CDOProtocol.CommitNotificationInfo.IMPACT_REALM`